[repositories] devel: [groups] [packages] [maintainers] [changelog]

 flex: A tool for creating scanners (loxical pattern recognizers) (source)

Name:flex
Release:1:2.6.4-3mamba
Group:Development/Tools
Maintainer:silvan
Description:The flex program generates scanners.
Scanners are programs which can recognize lexical patterns in text.
Flex takes pairs of regular expressions and C code as input and generates a C source file as output.
The output file is compiled and linked with a library to produce an executable.
The executable searches through its input for occurrences of the regular expressions.
When a match is found, it executes the corresponding C code.
Flex was designed to work with both Yacc and Bison, and is used by many programs as part of their build process.

You should install flex if you are going to use your system for application development.
License:BSD
Size:352.84 KB
Download:flex-2.6.4-3mamba.src.rpm
URL:http://flex.sourceforge.net/
Specfile:flex.spec
Sources:flex-2.6.4.tar.bz2
Patches:flex-2.6.0-gcc-5.3.0-c-comment.patch flex-2.6.4-glibc-2.26.patch 
Build time:Tue Nov 28 2017
Built RPMS:flex(i586) libfl(i586) libfl-devel(i586) flex(arm) libfl(arm) libfl-devel(arm) flex(x86_64) libfl(x86_64) libfl-devel(x86_64)
Build requirements:bash glibc-devel help2man[>=1.33.1] indent[>=2.2.9] texinfo
Changelog:Tue Nov 28 2017 - silvan (2.6.4-3mamba)
- patched to fix segfault with glibc 2.26
Wed Oct 18 2017 - davide (2.6.4-2mamba)
- rebuild for removing the linker dependency to libc.so.6(GLIBC_2.26)
Mon Oct 16 2017 - silvan (2.6.4-1mamba)
- update to 2.6.4
Sat Dec 17 2016 - silvan (2.6.1-1mamba)
- downgrade to 2.6.1, 2.6.2 is too buggy, bump epoch

[repositories] devel: [groups] [packages] [maintainers] [changelog]

Automatically generated by distromatic.